@REM ----------------------------------------------------------------------------
@REM  Copyright 2001-2006 The Apache Software Foundation.
@REM
@REM  Licensed under the Apache License, Version 2.0 (the "License");
@REM  you may not use this file except in compliance with the License.
@REM  You may obtain a copy of the License at
@REM
@REM       http://www.apache.org/licenses/LICENSE-2.0
@REM
@REM  Unless required by applicable law or agreed to in writing, software
@REM  distributed under the License is distributed on an "AS IS" BASIS,
@REM  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM  See the License for the specific language governing permissions and
@REM  limitations under the License.
@REM ----------------------------------------------------------------------------
@REM
@REM   Copyright (c) 2001-2006 The Apache Software Foundation.  All rights
@REM   reserved.

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
set SAVEDIR=%CD%
%0\
cd %0\..\.. 
set BASEDIR=%CD%
cd %SAVEDIR%
set SAVE_DIR=
goto repoSetup

:WinNTGetScriptDir
set BASEDIR=%~dp0\..

:repoSetup
set REPO=


if "%JAVACMD%"=="" set JAVACMD=java

if "%REPO%"=="" set REPO=%BASEDIR%\lib

set CLASSPATH="%BASEDIR%"\etc;"%REPO%"\lavoisier-connector-neo4j-2.2.2-SNAPSHOT.jar;"%REPO%"\neo4j-3.2.3.jar;"%REPO%"\neo4j-kernel-3.2.3.jar;"%REPO%"\neo4j-graphdb-api-3.2.3.jar;"%REPO%"\neo4j-resource-3.2.3.jar;"%REPO%"\neo4j-common-3.2.3.jar;"%REPO%"\neo4j-collections-3.2.3.jar;"%REPO%"\neo4j-primitive-collections-3.2.3.jar;"%REPO%"\neo4j-unsafe-3.2.3.jar;"%REPO%"\neo4j-io-3.2.3.jar;"%REPO%"\commons-lang3-3.3.2.jar;"%REPO%"\neo4j-csv-3.2.3.jar;"%REPO%"\neo4j-logging-3.2.3.jar;"%REPO%"\neo4j-lucene-upgrade-3.2.3.jar;"%REPO%"\lucene-backward-codecs-5.5.0.jar;"%REPO%"\neo4j-configuration-3.2.3.jar;"%REPO%"\neo4j-index-3.2.3.jar;"%REPO%"\neo4j-ssl-3.2.3.jar;"%REPO%"\netty-all-4.1.8.Final.jar;"%REPO%"\bcpkix-jdk15on-1.53.jar;"%REPO%"\bcprov-jdk15on-1.53.jar;"%REPO%"\neo4j-lucene-index-3.2.3.jar;"%REPO%"\lucene-analyzers-common-5.5.0.jar;"%REPO%"\lucene-core-5.5.0.jar;"%REPO%"\lucene-queryparser-5.5.0.jar;"%REPO%"\lucene-codecs-5.5.0.jar;"%REPO%"\neo4j-graph-algo-3.2.3.jar;"%REPO%"\neo4j-udc-3.2.3.jar;"%REPO%"\neo4j-cypher-3.2.3.jar;"%REPO%"\scala-library-2.11.8.jar;"%REPO%"\scala-reflect-2.11.8.jar;"%REPO%"\neo4j-graph-matching-3.1.3.jar;"%REPO%"\neo4j-codegen-3.2.3.jar;"%REPO%"\asm-5.2.jar;"%REPO%"\neo4j-cypher-compiler-2.3-2.3.11.jar;"%REPO%"\neo4j-cypher-frontend-2.3-2.3.11.jar;"%REPO%"\concurrentlinkedhashmap-lru-1.4.2.jar;"%REPO%"\neo4j-cypher-compiler-3.1-3.1.5.jar;"%REPO%"\neo4j-cypher-frontend-3.1-3.1.5.jar;"%REPO%"\caffeine-2.3.3.jar;"%REPO%"\neo4j-cypher-compiler-3.2-3.2.3.jar;"%REPO%"\neo4j-cypher-frontend-3.2-3.2.3.jar;"%REPO%"\neo4j-cypher-ir-3.2-3.2.3.jar;"%REPO%"\parboiled-scala_2.11-1.1.7.jar;"%REPO%"\parboiled-core-1.1.7.jar;"%REPO%"\opencsv-2.3.jar;"%REPO%"\neo4j-jmx-3.2.3.jar;"%REPO%"\neo4j-consistency-check-3.2.3.jar;"%REPO%"\neo4j-command-line-3.2.3.jar;"%REPO%"\neo4j-dbms-3.2.3.jar;"%REPO%"\neo4j-import-tool-3.2.3.jar;"%REPO%"\commons-compress-1.12.jar;"%REPO%"\lavoisier-interfaces-2.2.2-20211220.124813-30.jar;"%REPO%"\xpath-absolute-2.2.2-20211220.124746-30.jar;"%REPO%"\xpath-parser-2.2.2-20211220.124656-32.jar;"%REPO%"\jaxen-1.1.6.jar;"%REPO%"\xpath-functions-2.2.2-20211220.124729-30.jar;"%REPO%"\xml-interfaces-2.2.2-20211220.124710-32.jar;"%REPO%"\dom4j-2.0.2.jar;"%REPO%"\grizzly-http-server-2.2.21.jar;"%REPO%"\grizzly-http-2.2.21.jar;"%REPO%"\grizzly-framework-2.2.21.jar;"%REPO%"\grizzly-rcm-2.2.21.jar;"%REPO%"\logback-classic-1.2.3.jar;"%REPO%"\logback-core-1.2.3.jar;"%REPO%"\slf4j-api-1.7.25.jar;"%REPO%"\logstash-logback-encoder-5.2.jar;"%REPO%"\jackson-databind-2.9.6.jar;"%REPO%"\jackson-annotations-2.9.0.jar;"%REPO%"\jackson-core-2.9.6.jar;"%REPO%"\logging-mailhandler-1.6.3.jar;"%REPO%"\mailapi-1.6.3.jar;"%REPO%"\lavoisier-package-2.2.2-20211220.125502-27.jar;"%REPO%"\lavoisier-service-2.2.2-20211220.125425-27.jar;"%REPO%"\lavoisier-engine-2.2.2-20211220.125341-28.jar;"%REPO%"\lavoisier-configuration-2.2.2-20211220.125018-29.jar;"%REPO%"\xml-template-engine-2.2.2-20211220.124841-30.jar;"%REPO%"\lavoisier-chaining-2.2.2-20211220.124904-30.jar;"%REPO%"\log4j-1.2.12.jar;"%REPO%"\scala-compiler-2.12.1.jar;"%REPO%"\scala-xml_2.12-1.0.6.jar;"%REPO%"\html-template-engine-2.2.2-20211220.125133-29.jar;"%REPO%"\lavoisier-gui-admin-2.2.2-20211220.125349-28.jar;"%REPO%"\jgrapht-core-1.3.0.jar;"%REPO%"\jheaps-0.9.jar;"%REPO%"\lavoisier-gui-dashboard-2.2.2-20211220.125400-28.jar;"%REPO%"\lavoisier-views-library-2.2.2-20211220.125413-28.jar;"%REPO%"\canl-1.3.0.jar;"%REPO%"\bcprov-jdk16-1.46.jar;"%REPO%"\commons-io-1.4.jar;"%REPO%"\lavoisier-cache-base-2.2.2-20211220.124934-30.jar;"%REPO%"\lavoisier-cache-basex-2.2.2-20211220.124940-31.jar;"%REPO%"\basex-8.6.4.jar;"%REPO%"\lavoisier-connector-base-2.2.2-20211220.124953-30.jar;"%REPO%"\lavoisier-connector-config-2.2.2-20211220.125024-29.jar;"%REPO%"\lavoisier-connector-diff-2.2.2-20211220.125031-29.jar;"%REPO%"\xmlunit-1.3.jar;"%REPO%"\lavoisier-connector-remctl-2.2.2-20211220.125038-29.jar;"%REPO%"\remctl-2.2.0.jar;"%REPO%"\commons-pool-1.5.6.jar;"%REPO%"\lavoisier-connector-scala-2.2.2-20211220.125051-29.jar;"%REPO%"\lavoisier-connector-sql-2.2.2-20211220.125100-29.jar;"%REPO%"\mysql-connector-java-5.1.25.jar;"%REPO%"\postgresql-42.2.14.jar;"%REPO%"\hsqldb-2.2.9.jar;"%REPO%"\lavoisier-connector-ssh-2.2.2-20211220.125107-29.jar;"%REPO%"\jsch-0.1.49.jar;"%REPO%"\lavoisier-connector-telnet-2.2.2-20211220.125113-29.jar;"%REPO%"\commons-net-3.6.jar;"%REPO%"\lavoisier-processor-base-2.2.2-20211220.125126-29.jar;"%REPO%"\lavoisier-renderer-base-2.2.2-20211220.125142-28.jar;"%REPO%"\lavoisier-renderer-chart-2.2.2-20211220.125202-28.jar;"%REPO%"\lavoisier-renderer-json-2.2.2-20211220.125209-28.jar;"%REPO%"\lavoisier-renderer-pdf-2.2.2-20211220.125215-28.jar;"%REPO%"\itextpdf-5.5.10.jar;"%REPO%"\xmlworker-5.5.10.jar;"%REPO%"\lavoisier-serializer-base-2.2.2-20211220.125225-28.jar;"%REPO%"\lavoisier-serializer-html-2.2.2-20211220.125232-28.jar;"%REPO%"\tagsoup-1.2.1.jar;"%REPO%"\lavoisier-serializer-json-2.2.2-20211220.125239-28.jar;"%REPO%"\jettison-1.3.3.jar;"%REPO%"\stax-api-1.0.1.jar;"%REPO%"\lavoisier-serializer-yaml-2.2.2-20211220.125246-28.jar;"%REPO%"\jvyaml-0.2.1.jar;"%REPO%"\lavoisier-serializer-ini-2.2.2-20211220.125253-28.jar;"%REPO%"\ini4j-0.5.2.jar;"%REPO%"\lavoisier-trigger-base-2.2.2-20211220.125301-28.jar;"%REPO%"\quartz-2.3.0.jar;"%REPO%"\c3p0-0.9.5.2.jar;"%REPO%"\mchange-commons-java-0.2.11.jar;"%REPO%"\HikariCP-java6-2.3.13.jar;"%REPO%"\lavoisier-validator-base-2.2.2-20211220.125307-28.jar;"%REPO%"\lavoisier-authenticator-base-2.2.2-20211220.125320-28.jar;"%REPO%"\cas-client-core-3.3.1.jar;"%REPO%"\org.apache.oltu.oauth2.client-1.0.2.jar;"%REPO%"\org.apache.oltu.oauth2.common-1.0.2.jar;"%REPO%"\json-20140107.jar;"%REPO%"\jjwt-0.9.1.jar;"%REPO%"\opensaml-2.6.4.jar;"%REPO%"\openws-1.5.4.jar;"%REPO%"\xmltooling-1.4.4.jar;"%REPO%"\not-yet-commons-ssl-0.3.9.jar;"%REPO%"\commons-httpclient-3.1.jar;"%REPO%"\commons-codec-1.7.jar;"%REPO%"\commons-collections-3.2.1.jar;"%REPO%"\commons-lang-2.6.jar;"%REPO%"\velocity-1.7.jar;"%REPO%"\esapi-2.0.1.jar;"%REPO%"\joda-time-2.2.jar;"%REPO%"\xmlsec-1.5.7.jar;"%REPO%"\commons-logging-1.1.1.jar;"%REPO%"\jmx_prometheus_javaagent-0.12.0.jar;"%REPO%"\wrapper-3.2.3.jar;"%REPO%"\jul-to-slf4j-1.7.25.jar;"%REPO%"\janino-3.0.6.jar;"%REPO%"\commons-compiler-3.0.6.jar;"%REPO%"\javax.mail-1.6.2.jar;"%REPO%"\activation-1.1.jar;"%REPO%"\cmdb-ui-1.0-SNAPSHOT.pom

set ENDORSED_DIR=
if NOT "%ENDORSED_DIR%" == "" set CLASSPATH="%BASEDIR%"\%ENDORSED_DIR%\*;%CLASSPATH%

if NOT "%CLASSPATH_PREFIX%" == "" set CLASSPATH=%CLASSPATH_PREFIX%;%CLASSPATH%

@REM Reaching here means variables are defined and arguments have been captured
:endInit

%JAVACMD% %JAVA_OPTS%  -classpath %CLASSPATH% -Dapp.name="lavoisier-start-console" -Dapp.repo="%REPO%" -Dapp.home="%BASEDIR%" -Dbasedir="%BASEDIR%" fr.in2p3.lavoisier.command.StartServer %CMD_LINE_ARGS%
if %ERRORLEVEL% NEQ 0 goto error
goto end

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=%ERRORLEVEL%

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@REM If error code is set to 1 then the endlocal was done already in :error.
if %ERROR_CODE% EQU 0 @endlocal


:postExec

if "%FORCE_EXIT_ON_ERROR%" == "on" (
  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%
)

exit /B %ERROR_CODE%
